import { request } from 'umi';
import Cookies from 'js-cookie';

export async function query() {
  return request<API.CurrentUser[]>('/api/users');
}

export async function queryCurrent() {
  return request<API.CurrentUser>('/api/admin/adminInfo',{
    method: 'get',
  });
}

// 获得当前用户能看到的页面
export async function selectNavList() {
  return request<API.CurrentUser>('/api/admin/selectNavList',{
    method: 'get',
  });
}

export async function queryNotices(): Promise<any> {
  return request<{ data: API.NoticeIconData[] }>('/api/notices');
}
